import { Router } from 'express'
import { TwitchScraper } from '../../util/scraping/extractors'

const profileRouter = Router()
const scraper = new TwitchScraper()

profileRouter.get('/users/:username', async (req, res, next) => {
    const username = req.params.username

    let streamerData = await scraper.getStreamerData(username)
        .catch(next)

    if (streamerData)
        res.send(streamerData)
})

export default profileRouter